Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.api.navstate
Interface NavigationalStateContext

All Known Implementing Classes:
  NavigationalStateContextImpl

    public interface NavigationalStateContext

Provide access to a portion of the navigational state managed by the portal.

Version:
  $Revision: 8785 $
Author:
  Julien Viet

Method Summary
`Mode` | `getMode(PortalNode window)` Returns the mode of a window or null if it is not found.
`WindowState` | `getWindowState(PortalNode window)` Returns the window state of a window or null if it is not found.
`void` | `setMode(PortalNode window, Mode mode)` Updates the mode of a window.
`void` | `setWindowState(PortalNode window, WindowState windowState)` Updates the window state of a window.

Method Detail

### getWindowState

    WindowState getWindowState(PortalNode window)
                               throws java.lang.IllegalArgumentException

  Returns the window state of a window or null if it is not found.

  Parameters:
    `window` - the window from which the window state is returned
  Returns:
    the window state
  Throws:
    `java.lang.IllegalArgumentException`

### setWindowState

    void setWindowState(PortalNode window,
                        WindowState windowState)
                        throws java.lang.IllegalArgumentException

  Updates the window state of a window.

  Parameters:
    `window` - the window to update
    `windowState` - the new window state value
  Throws:
    `java.lang.IllegalArgumentException`

### getMode

    Mode getMode(PortalNode window)
                 throws java.lang.IllegalArgumentException

  Returns the mode of a window or null if it is not found.

  Parameters:
    `window` - the window from which the mode is returned
  Returns:
    the mode
  Throws:
    `java.lang.IllegalArgumentException`

### setMode

    void setMode(PortalNode window,
                 Mode mode)
                 throws java.lang.IllegalArgumentException

  Updates the mode of a window.

  Parameters:
    `window` - the window to update
    `mode` - the new mode value
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD